<template>
  <q-expansion-item
    dense :default-opened="isLeafActive"
    :value="value" @input="$emit('input',$event)"
    expand-separator exact
    expand-icon="la la-angle-right"
    expanded-icon="la la-angle-down"
    :content-inset-level="0.2">
    <template v-slot:header>
      <q-item-section avatar>
        <q-icon :name="icon" size="xs"/>
      </q-item-section>
      <q-item-section>
        <q-item-label>{{ title }}</q-item-label>
        <q-item-label caption>
          {{ subTitle }}
        </q-item-label>
      </q-item-section>
    </template>
    <slot v-bind="items"/>
  </q-expansion-item>
</template>

<script>
export default {
  name: "MenuSubItem",
  props: {
    value: Boolean,
    icon: String,
    title: String,
    subTitle: String,
    isLeafActive: Boolean,
    items: {
      type: Array,
      default: () => []
    }
  }
}
</script>

<style lang="scss">
.expand-menu{
  .la-1x{
    font-size: 1px!important;
  }
}

</style>
